Subject: bug#31880: 26.1; VC mode line popup when clicked is off screen

From: martin rudalics <[email-masked]>
Date: Thu, 21 Jun 2018 09:15:31 +0200

> Yet another instance of a disagreement between how GTK and X calculate
 > pixels. Who will rid me of this turbulent mix?

In xg_show_tooltip we have

       gtk_window_move (x->ttip_window, root_x / xg_get_scale (f),
		       root_y / xg_get_scale (f));

I suppose this is TRT with a scaled display because root_x and root_y
are unscaled and hence we have to scale them to get the appropriate
coordinates for scaled displays.  Right?

Then what happens when we turn off GTK tooltips on a scaled display by
setting 'x-gtk-use-system-tooltips' to nil?  IIUC the tooltip will now
appear at the "wrong" position.  Or am I missing something?

martin